Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.util
Class SnapshotSwitch<T>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.snapshot.util.SnapshotSwitch<T>

    public class SnapshotSwitch<T>

extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SnapshotPackage`

Field Summary
`protected static SnapshotPackage` | `modelPackage` The cached model package

Constructor Summary
`SnapshotSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseCompositeEvent(CompositeEvent object)` Returns the result of interpreting the object as an instance of 'Composite Event'.
`T` | `caseDerivation(Derivation object)` Returns the result of interpreting the object as an instance of 'Derivation'.
`T` | `caseEvent(Event object)` Returns the result of interpreting the object as an instance of 'Event'.
`T` | `caseExtractor(Extractor object)` Returns the result of interpreting the object as an instance of 'Extractor'.
`T` | `caseHandler(Handler object)` Returns the result of interpreting the object as an instance of 'Handler'.
`T` | `caseJoinEntry(JoinEntry object)` Returns the result of interpreting the object as an instance of 'Join Entry'.
`T` | `caseJoinInput(JoinInput object)` Returns the result of interpreting the object as an instance of 'Join Input'.
`T` | `caseJoinInputCollector(JoinInputCollector object)` Returns the result of interpreting the object as an instance of 'Join Input Collector'.
`T` | `caseJoinNode(JoinNode object)` Returns the result of interpreting the object as an instance of 'Join Node'.
`T` | `casePredicate(Predicate object)` Returns the result of interpreting the object as an instance of 'Predicate'.
`T` | `casePredicateNode(PredicateNode object)` Returns the result of interpreting the object as an instance of 'Predicate Node'.
`T` | `casePredicateNodeOutput(PredicateNodeOutput object)` Returns the result of interpreting the object as an instance of 'Predicate Node Output'.
`T` | `caseSnapshot(Snapshot object)` Returns the result of interpreting the object as an instance of 'Snapshot'.
`T` | `caseSnapshotElement(SnapshotElement object)` Returns the result of interpreting the object as an instance of 'Element'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static SnapshotPackage modelPackage

  The cached model package

Constructor Detail

### SnapshotSwitch

    public SnapshotSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSnapshot

    public T caseSnapshot(Snapshot object)

  Returns the result of interpreting the object as an instance of 'Snapshot'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Snapshot'.
  See Also:
    `doSwitch(EObject)`

### caseSnapshotElement

    public T caseSnapshotElement(SnapshotElement object)

  Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element'.
  See Also:
    `doSwitch(EObject)`

### caseHandler

    public T caseHandler(Handler object)

  Returns the result of interpreting the object as an instance of 'Handler'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Handler'.
  See Also:
    `doSwitch(EObject)`

### caseDerivation

    public T caseDerivation(Derivation object)

  Returns the result of interpreting the object as an instance of 'Derivation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Derivation'.
  See Also:
    `doSwitch(EObject)`

### caseEvent

    public T caseEvent(Event object)

  Returns the result of interpreting the object as an instance of 'Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Event'.
  See Also:
    `doSwitch(EObject)`

### casePredicateNode

    public T casePredicateNode(PredicateNode object)

  Returns the result of interpreting the object as an instance of 'Predicate Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Predicate Node'.
  See Also:
    `doSwitch(EObject)`

### casePredicateNodeOutput

    public T casePredicateNodeOutput(PredicateNodeOutput object)

  Returns the result of interpreting the object as an instance of 'Predicate Node Output'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Predicate Node Output'.
  See Also:
    `doSwitch(EObject)`

### caseJoinInput

    public T caseJoinInput(JoinInput object)

  Returns the result of interpreting the object as an instance of 'Join Input'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Join Input'.
  See Also:
    `doSwitch(EObject)`

### caseJoinNode

    public T caseJoinNode(JoinNode object)

  Returns the result of interpreting the object as an instance of 'Join Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Join Node'.
  See Also:
    `doSwitch(EObject)`

### caseJoinInputCollector

    public T caseJoinInputCollector(JoinInputCollector object)

  Returns the result of interpreting the object as an instance of 'Join Input Collector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Join Input Collector'.
  See Also:
    `doSwitch(EObject)`

### caseJoinEntry

    public T caseJoinEntry(JoinEntry object)

  Returns the result of interpreting the object as an instance of 'Join Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Join Entry'.
  See Also:
    `doSwitch(EObject)`

### caseExtractor

    public T caseExtractor(Extractor object)

  Returns the result of interpreting the object as an instance of 'Extractor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Extractor'.
  See Also:
    `doSwitch(EObject)`

### casePredicate

    public T casePredicate(Predicate object)

  Returns the result of interpreting the object as an instance of 'Predicate'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Predicate'.
  See Also:
    `doSwitch(EObject)`

### caseCompositeEvent

    public T caseCompositeEvent(CompositeEvent object)

  Returns the result of interpreting the object as an instance of 'Composite Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Composite Event'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD